/* Program name: IntArrayTest2.java
 * Author: T. Andrew Yang
 * Date: June 6, 2011
 */
/* Description: This is a test program for implementing an integer array.
 * A user-defined constructor, IntArrayTest2(), is used to assign data to A[].
 */
/* compilation command: javac IntArrayTest2.java
 * execution command: java IntArrayTest2 -14
 */

public class IntArrayTest2 {
    // attributes
    private final int SIZE = 10;
    private int A[] = new int[SIZE]; // The array needs to be initialized
    private int currentPosition = 0;

    // methods
    // public void IntArrayTest2() //NOTE: A constructor should not have a return data type.
    public IntArrayTest2() {
        //System.out.println("length: " + A.length);
        for (; currentPosition < A.length; currentPosition++) {
            A[currentPosition] = 2 * currentPosition + currentPosition - 20;
        }
        //return; // do not place a return here
    }

    public int search(int key) {
        for (int i = 0; i < A.length; i++) {
            System.out.println(A[i]);
            if (A[i] == key) {
                return i;
            }
        } //for
        return -1; //not found
    } //search()

    // main( )
    public static void main(String args[]) {
        IntArrayTest2 ar = new IntArrayTest2();
        int key = Integer.parseInt(args[0]);
        //the value to search for, input from command line

	System.out.println("My name is XYZ.");
        int result = ar.search(key);
        System.out.println("result: " + result);
        if (result == -1) {
            System.out.println(key + " is not in the array.");
        } else {
            System.out.println(key + " is stored at position " + result + ".");
        }
    } //main()
} // IntArrayTest2 class

